eclipse-cdt (9.9.0-4) unstable; urgency=medium

  * Remove extra poms from patch.
    - Move them to separate folder.
  * Add missing parent pom.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 06 Aug 2020 15:38:02 +0100

eclipse-cdt (9.9.0-3) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 16 Jul 2020 16:41:10 +0100

eclipse-cdt (9.9.0-2) unstable; urgency=medium

  * Team upload.
  * Update debian/copyright to document Apache-2.0 licensed file

 -- tony mancill <tmancill@debian.org>  Thu, 11 Jun 2020 21:16:22 -0700

eclipse-cdt (9.9.0-1) unstable; urgency=medium

  * Reintroduce the package. (Closes: #961795)
    - New upstream version 9.9.0
    - New binary package libeclipse-cdt-java (Java libraries-only)
  * Use https with watch URI.
  * Add Rules-Requires-Root: no.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Jun 2020 12:37:34 +0100

eclipse-cdt (8.6.0-2) unstable; urgency=medium

  * Team upload.
  * Depend on eclipse-pde >= 3.8.1-9 to fix the build failure with Java 8
    (Closes: #817880)
  * Removed the unused Lintian overrides
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * Fixed the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Oct 2016 22:35:34 +0200

eclipse-cdt (8.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Override incompatible-java-bytecode-format Lintian warning.
  * Remove Niels Thykier from Uploaders (Closes: #770558).
  * Require eclipse >= 3.8.1-8
    - CDT needs libicu4j-49-java for correct working of the debugger
      integration.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 27 Feb 2015 23:27:07 +0100

eclipse-cdt (8.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 28 Sep 2014 14:11:16 +0200

eclipse-cdt (8.4.0-1) unstable; urgency=medium

  [ Jakub Adam ]
  * New upstream release.
  * Build with javac target 1.7.
  * Add eclipse-remote-services-api to Build-Depends.
  * Override codeless-jar and incompatible-java-bytecode-format Lintian
    warnings.

  [ tony mancill ]
  * Bump version of default-jdk dependency to (>= 2:1.7)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 26 Jul 2014 11:21:24 +0200

eclipse-cdt (8.3.0-3) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure with Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 27 Jun 2014 00:19:08 +0200

eclipse-cdt (8.3.0-2) unstable; urgency=medium

  * Build-Depends on default-jdk (>= 2:1.6) (Closes: #743234)
    - disables build on architectures with gcj-jdk as their default JDK.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 12 May 2014 18:38:56 +0200

eclipse-cdt (8.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated autotools documentation sources.
  * Removed unused Lintian overrides.
  * Bump Standards-Version to 3.9.5.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 01 Mar 2014 10:10:30 +0100

eclipse-cdt (8.2.1-1) unstable; urgency=low

  * New upstream release.
  * Updated autotools documentation sources.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 03 Oct 2013 20:30:16 +0200

eclipse-cdt (8.2.0-2) unstable; urgency=low

  * Fix FTBFS with make 3.82 (Closes: #720832).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 27 Aug 2013 18:52:15 +0200

eclipse-cdt (8.2.0-1) unstable; urgency=low

  * New upstream release.
  * Updated automake documentation sources.
  * New binary package eclipse-cdt-qt.
  * Canonicalize Vcs-* fields of d/control.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 03 Jul 2013 10:31:52 +0200

eclipse-cdt (8.1.2-2) unstable; urgency=low

  * Add Breaks/Replaces: eclipse-cdt (<< 8.1.2-1) into
    eclipse-cdt-launch-remote to allow clean upgrades.
  * Let eclipse-cdt Suggest eclipse-cdt-autotools and
    eclipse-cdt-launch-remote.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 04 Apr 2013 16:38:16 +0200

eclipse-cdt (8.1.2-1) experimental; urgency=low

  * New upstream release.
  * Use xz compression for orig tarball.
  * Package remote launch feature as a separate binary deb.
    - Doesn't force all CDT users to install about 5MB of eclipse-rse,
      only those who need remote launch capabilities will have to.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 15 Mar 2013 17:16:32 +0100

eclipse-cdt (8.1.1-1) experimental; urgency=low

  * New upstream release.
  * Rewritten obsolete d/fetch-cdt.sh.
  * Updated d/watch.
  * Removed d/patches/ebug-382496.patch (applied upstream).
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 20 Dec 2012 12:29:49 +0100

eclipse-cdt (8.1.0+dfsg-2) unstable; urgency=low

  * Enable eclipse-cdt-autotools plugin.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 11:51:21 +0200

eclipse-cdt (8.1.0+dfsg-1) unstable; urgency=low

  * Remove files generated out of texi documentation.
  * Update d/watch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 11:29:38 +0200

eclipse-cdt (8.1.0-2) unstable; urgency=low

  * Bump versioned build dependency on debhelper to get better
    handling of architecture specific override targets.
  * Add versioned build dependency on dpkg-dev to get build-arch
    support.
  * Properly split build in architecture specific parts.  This
    works around a FTBFS on sparc and reduces the build time for
    doing architecture specific builds.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Jun 2012 10:34:20 +0200

eclipse-cdt (8.1.0-1) unstable; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Compile for Java 1.6.
  * Use default CPPFLAGS in jni library build.
    - Enables Fortify Source functions.

  [ Niels Thykier ]
  * Cherry-pick upstream patch for Eclipse Bug 382496.
  * Bump (Build-)Depends on eclipse to 3.8.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 23 Jun 2012 19:38:18 +0200

eclipse-cdt (8.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.3.
  * Increased debhelper compatibility to level 9.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 28 Feb 2012 17:34:25 +0100

eclipse-cdt (8.0.1-1) unstable; urgency=low

  * New upstream release.
  * Split the JNI packages into a separate architecture dependent
    package and made eclipse-cdt architecture independent.
  * Install JNI libraries into multiarch aware location
  * Bumped Standards-Version to 3.9.2.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 06 Oct 2011 21:15:04 +0200

eclipse-cdt (6.0.2-1) unstable; urgency=low

  * New upstream release.
    - eclipse-cdt no longer quits when looking up a declaration.
      (Closes: #348393)
    - Works with current eclipse in Debian, provided that you are not
      affected by #587657 (See the bug or the NEWS file in
      eclipse-platform for more information on hold to deal with #597657).
      (Closes: #574611)
    - Upgraded to newest (possible) version with the current eclipse
      in Debian. (Closes: #441313, LP: #163739, #446131)
  * Fixed the build system. (Closes: #542977, #596851)
  * New maintainers (Closes: #555663)
  * Bumped Standards-Version to 3.9.1.
  * Converted to 3.0 (quilt) source format.

 -- Niels Thykier <niels@thykier.net>  Fri, 08 Oct 2010 10:39:04 +0200

eclipse-cdt (3.1.2-3) unstable; urgency=low

  * New patch, eclipse-cdt-build-on-sparc-s390.patch to build eclipse-cdt on
    sparc and s390 arches. Thanks to Martin Zobel-Helas for the bug report
    and to Michael Koch for the hint on how to fix this. Closes: #478900.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 11 May 2008 09:49:02 +0000

eclipse-cdt (3.1.2-2) unstable; urgency=low

  * Bump Standards-Version: to 3.7.3. No changes needed.
  * Add missing ${shlibs:Depends} to eclipse-cdt package. Thanks to Niko Tyni
    for reporting this.
  * Build-Depends: on default-jdk-builddep. Closes: #477860.
  * eclipse-cdt Build-Conflicts: with itself.

 -- Thomas Girard <thomas.g.girard@free.fr>  Thu, 01 May 2008 16:08:12 +0200

eclipse-cdt (3.1.2-1) unstable; urgency=low

  * New upstream release, resynched with Fedora:
    o refresh the patches
    o do not ship cppunit and autotools plugins yet
  * Add myself to the uploaders field.
  * Bump debhelper compat level to 5, and adapt build-dependency accordingly.
  * Fix DEB_HOST_ARCH logic in debian/rules.
  * Adjust eclipse-cdt dependencies:
    o switch from eclipse-pde to eclipse-platform (Closes: #385350)
    o add gcc and make, as eclipse-cdt is pretty useless without them
    o suggest g++

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 17 Jun 2007 19:41:02 +0000

eclipse-cdt (3.1.1-1) unstable; urgency=medium

  * Merge changes from Ubuntu.
    - works with eclipse-3.2.1. Closes: #402003.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Jan 2007 22:03:26 +0100

eclipse-cdt (3.1.1-0ubuntu2) feisty; urgency=low

  * added bzip2 to build dependencies

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Sat,  6 Jan 2007 08:41:53 +0100

eclipse-cdt (3.1.1-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Updated to use Eclipse 3.2.1

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Wed,  6 Dec 2006 22:58:10 +0100

eclipse-cdt (3.0.1-3) unstable; urgency=low

  * debian/rules: Adjusted for current eclipse (Closes: #345371).
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Jun 2006 09:36:48 +0000

eclipse-cdt (3.0.1-2) unstable; urgency=low

  * debian/control: Make eclipse-cdt Depends on exuberant-ctags | ctags
    and fixed package decription.
  * debian/control: Added Build-Depends on java-gcj-compat-dev
    (Closes: #345371).

 -- Michael Koch <konqueror@gmx.de>  Sun,  1 Jan 2006 12:59:27 +0000

eclipse-cdt (3.0.1-1) unstable; urgency=low

  [ Michael Koch ]
  * Initial Version (Closes: #195236, #284911).

  [ Stephan Michels ]
  * debian/control: Changed the dependency from eclipse-sdk to eclipse.
    Updated the description.
  * debian/rules: Use variable for the name of the releng plugin.
  * debian/rules: Use -DskipFetch=true instead of -DdontFetchAnything=true.
  * debian/rules: Define property "config" in rules instead of using
    patches to change the properties files.
  * debian/copyright: Updated copyright from CPL to EPL
  * debian/rules: Add patch for disable the logging to a file
    for the javadoc generation.

 -- Stephan Michels <stephan@apache.org>  Wed, 21 Dec 2005 16:58:32 +0100
